#ifndef _EVENT_H
#define _EVENT_H

#include <linux/input.h>
#include <linux/uinput.h>
int event_init (char *basedir, int num);
int event_scan (char *basedir, int start, int end);
int event_get (int event_fd, struct input_event *ev, int count, int tout);
int event_grab (int event_fd, int on);
void event_close (int event_fd);

#ifndef NBITS
#define NBITS(x) ((((x)-1)/(sizeof(long)*8))+1)
#endif /* NBITS */

#endif
