#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "load_config.h"

static char varvec[MAX_CONF_ENTRIES][MAX_ENTRY_LEN];

int confread (char *realname)
{
  FILE *pname;

  int i = 0;

  char row[MAX_ENTRY_LEN] = "";

  pname = fopen (realname, "r");
  if (pname == NULL)
    return 1;

  memset (varvec, 0, sizeof (varvec));
  while (!feof (pname))
   {
     fgets (row, 80, pname);
     if (row[0] != '#' && strlen (row) > 5)
      {
        strcpy (varvec[i], row);
        i++;
      }
     if (feof (pname))
       break;
   }
  fclose (pname);
  varvec[i][0] = 0;
  return 0;
}

char *confsearch (char *searchstring)
{
  int i = 0, end = 0;

  strcat (searchstring, "=\0");
  do
   {
     if (strncmp (varvec[i], searchstring, strlen (searchstring)) == 0)
      {
        strcpy (searchstring, varvec[i] + strlen (searchstring));
        end = 1;
      }
     i++;
   }
  while (varvec[i][0] != 0 && !end);

  if (!end)
   {
     searchstring[0] = 0;
     return searchstring;
   }

  if (strlen (searchstring))
    searchstring[strlen (searchstring) - 1] = 0;
  return searchstring;
}
